POST V1/Inventory.{ext}/SavingsData

Request Information

URI Parameters

NameDescriptionTypeAdditional information
ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.Inventory.Entities.ManageSavingData
NameDescriptionTypeAdditional information
AccountId

No description available

integer

None.

ClassificationId

No description available

integer

None.

Recurring

No description available

string

None.

AccountNbr

No description available

string

None.

Utility

No description available

string

None.

Vendor

No description available

string

None.

SiteNbr

No description available

string

None.

SiteGroup

No description available

string

None.

Address

No description available

string

None.

FromMonth

No description available

integer

None.

FromYear

No description available

integer

None.

ToMonth

No description available

integer

None.

ToYear

No description available

integer

None.

SavingClassification

No description available

string

None.

Amount

No description available

decimal number

None.

SavingsType

No description available

string

None.

Comments

No description available

string

None.

Request Formats

application/json, text/json

Sample:
{
  "accountId": 1,
  "classificationId": 2,
  "recurring": "sample string 3",
  "accountNbr": "sample string 4",
  "utility": "sample string 5",
  "vendor": "sample string 6",
  "siteNbr": "sample string 7",
  "siteGroup": "sample string 8",
  "address": "sample string 9",
  "fromMonth": 10,
  "fromYear": 11,
  "toMonth": 12,
  "toYear": 13,
  "savingClassification": "sample string 14",
  "amount": 1.0,
  "savingsType": "sample string 15",
  "comments": "sample string 16"
}

application/xml, text/xml

Sample:
<ManageSavingData xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Inventory.Entities">
  <AccountId>1</AccountId>
  <AccountNbr>sample string 4</AccountNbr>
  <Address>sample string 9</Address>
  <Amount>1</Amount>
  <ClassificationId>2</ClassificationId>
  <Comments>sample string 16</Comments>
  <FromMonth>10</FromMonth>
  <FromYear>11</FromYear>
  <Recurring>sample string 3</Recurring>
  <SavingClassification>sample string 14</SavingClassification>
  <SavingsType>sample string 15</SavingsType>
  <SiteGroup>sample string 8</SiteGroup>
  <SiteNbr>sample string 7</SiteNbr>
  <ToMonth>12</ToMonth>
  <ToYear>13</ToYear>
  <Utility>sample string 5</Utility>
  <Vendor>sample string 6</Vendor>
</ManageSavingData>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfEMS.Inventory.Entities.ManageSavingData
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Inventory.Entities.ManageSavingData

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "ManageSavingData",
  "response": {
    "accountId": 1,
    "classificationId": 2,
    "recurring": "sample string 3",
    "accountNbr": "sample string 4",
    "utility": "sample string 5",
    "vendor": "sample string 6",
    "siteNbr": "sample string 7",
    "siteGroup": "sample string 8",
    "address": "sample string 9",
    "fromMonth": 10,
    "fromYear": 11,
    "toMonth": 12,
    "toYear": 13,
    "savingClassification": "sample string 14",
    "amount": 1.0,
    "savingsType": "sample string 15",
    "comments": "sample string 16"
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.